PROGRAM Process_Circles_2
!---------------------------------------------------------
! Program to calculate and display areas of circles with
! given radii.
! Imports from module Circle:
!          real parameter Pi
!          real variable Radius
!          real-valued function Area
! Input:   Radius of circle
! Output:  Area of circle
!---------------------------------------------------------

   USE Circle

   DO
      PRINT *, "Enter radius of circle (negative to stop):"
      READ *, Radius
      IF (Radius < 0) EXIT
      PRINT *, "Area = ", Area(Radius)
   END DO

END PROGRAM Process_Circles_2
